MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026002Open CASCADE[OCCT] OCCT:Visualizationpublic2015-04-01 14:342015-07-13 17:09
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026002: Visualization, TKOpenGl - detect alien Core Profile context
DescriptionOpenGl_Context::init() currently detect Core Profile by external argument.
This option is unavailable when context has been created by application.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026424closedbugmaster Visualization, TKOpenGl - fix text rendering in core profile 
child of 0025854closedbugmaster Visualization, TKOpenGl - add option to request Core profile 3.2+ 

-  Notes
(0039096)
git (administrator)
2015-04-01 14:39

Branch CR26002 has been created by kgv.

SHA-1: 32dbdd1c792fada3532077dd525908693e61b27f


Detailed log of new commits:

Author: kgv
Date: Wed Apr 1 14:39:01 2015 +0300

    0026002: Visualization, TKOpenGl - detect alien Core Profile context
    
    Read GL_CONTEXT_PROFILE_MASK flags.
(0039097)
kgv (developer)
2015-04-01 14:39

Please test the patch.
(0039162)
git (administrator)
2015-04-02 15:44

Branch CR26002 has been updated by apv.

SHA-1: f38c5afb519dee0270ef40c35746704c3153de83


Detailed log of new commits:

Author: apv
Date: Thu Apr 2 15:44:06 2015 +0300

    Update of unstable test-case

(0039462)
git (administrator)
2015-04-09 09:50

Branch CR26002 has been deleted by kgv.

SHA-1: f38c5afb519dee0270ef40c35746704c3153de83

- Related Changesets
occt: master d4271fe5
Timestamp: 2015-04-02 12:58:40
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026002: Visualization, TKOpenGl - detect alien Core Profile context

Read GL_CONTEXT_PROFILE_MASK flags.

Update of unstable test-case
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - tests/sewing/tol_100/K1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-01 14:34 kgv New Issue
2015-04-01 14:34 kgv Assigned To => kgv
2015-04-01 14:39 git Note Added: 0039096
2015-04-01 14:39 kgv Note Added: 0039097
2015-04-01 14:39 kgv Assigned To kgv => bugmaster
2015-04-01 14:39 kgv Severity minor => trivial
2015-04-01 14:39 kgv Status new => resolved
2015-04-01 14:39 kgv Status resolved => reviewed
2015-04-01 14:40 kgv Relationship added child of 0025854
2015-04-01 15:00 apv Assigned To bugmaster => apv
2015-04-01 18:01 apv Test case number => Not needed
2015-04-02 15:44 git Note Added: 0039162
2015-04-07 16:08 bugmaster Changeset attached => occt master d4271fe5
2015-04-07 16:08 bugmaster Assigned To apv => bugmaster
2015-04-07 16:08 bugmaster Status reviewed => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-09 09:50 git Note Added: 0039462
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-07-13 17:09 kgv Relationship added related to 0026424


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker